# Glib::Variant< T > Class Template Reference
[Variant Datatype]

Template class from which other Glib::Variant<> specializations derive. More...

`#include <glibmm/variant.h>`

Inheritance diagram for Glib::Variant< T >:
[legend]

List of all members.

## Public Types
typedef T | CppType

## Detailed Description

### template <class T>
class Glib::Variant< T >

Template class from which other Glib::Variant<> specializations derive.

Since glibmm 2.26:

## Member Typedef Documentation

template <class T >

typedef T Glib::Variant< T >::CppType